Update a project budget expense
curl --request PATCH \
--url https://www.ruddr.io/api/workspace/project-budget-expenses/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"billableAmount": 123,
"nonBillableAmount": 123,
"notes": "<string>",
"expenseCategoryId": "<string>"
}
'import requests
url = "https://www.ruddr.io/api/workspace/project-budget-expenses/{id}"
payload = {
"billableAmount": 123,
"nonBillableAmount": 123,
"notes": "<string>",
"expenseCategoryId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
billableAmount: 123,
nonBillableAmount: 123,
notes: '<string>',
expenseCategoryId: '<string>'
})
};
fetch('https://www.ruddr.io/api/workspace/project-budget-expenses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "c8f42e17-a593-4d0b-b6e1-d2a70f8c39e5",
"billableAmount": 3000,
"nonBillableAmount": 500,
"createdAt": "2026-01-20T16:08:44.561Z",
"project": {
"id": "e1b73d24-9f06-4a8c-85e2-c0d4f7a18b93",
"name": "Data Analytics Platform",
"client": {
"id": "7f2a8c91-e304-4b5d-a6e1-d9c0f3b72e48",
"name": "Initech"
}
},
"expenseCategory": {
"id": "b4e91c27-3f08-4d6a-a5e2-c7d0f8b13a96",
"name": "Travel Expenses"
}
}
Project Budget Expenses
Update a project budget expense
PATCH
/
project-budget-expenses
/
{id}
Update a project budget expense
The budget for an expense category on a project. Only available for projects that are using a budget and the budget mode is either “detailed” or “aggregated”.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The project budget expense uuid.
Body
application/json
The total billable amount for the expense category.
The total non-billable amount for the expense category.
Notes about this budget expense. Maximum 5000 characters.
The ID (uuid) of the expense category for this budget expense.
Response
200
The unique identifier for the object.
The total billable amount for the expense category. null when the project is non-billable.
The total non-billable amount for the expense category.
The timestamp when the object was created.
The project this budget expense belongs to.
Show child attributes
Show child attributes
The expense category for this budget expense.
Show child attributes
Show child attributes
⌘I